- Qt 6.8
- Qt Core
- C++ Classes
- QtCorePrivate
- QAndroidActivityResultReceiver
- Qt 6.8.3 Reference Documentation

# QAndroidActivityResultReceiver Class

Interface used for callbacks from onActivityResult() in the main Android activity. More...

Header: | `#include <QtCore/private/qandroidextras_p.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::CorePrivate)`
qmake: | `QT += core-private`
Since: | Qt 6.2
Status: | Preliminary

This class is under development and is subject to change.

- List of all members, including inherited members

## Public Functions

virtual void | handleActivityResult(int receiverRequestCode, int resultCode, const QJniObject &data) = 0

## Detailed Description

Create a subclass of this class to be notified of the results when using the `QtAndroidPrivate::startActivity()` and `QtAndroidPrivate::startIntentSender()` APIs.

## Member Function Documentation

### `[pure virtual]` void QAndroidActivityResultReceiver::handleActivityResult(int receiverRequestCode, int resultCode, const QJniObject &data)

Reimplement this function to get activity results after starting an activity using either QtAndroidPrivate::startActivity() or QtAndroidPrivate::startIntentSender(). The receiverRequestCode is the request code unique to this receiver which was originally passed to the startActivity() or startIntentSender() functions. The resultCode is the result returned by the activity, and data is either null or a Java object of the class android.content.Intent. Both the last to arguments are identical to the arguments passed to onActivityResult().